#!/bin/bash
set -e
set -o pipefail

docker pull docker.med-logic.ru/medicine:latest

(cd /medicine-config/medicine &&
  docker run --rm \
    --env-file .env \
    --env-file /medicine-config/.env \
    --network medicine-network \
    --name medicine-apply-migrations \
    docker.med-logic.ru/medicine:latest python manage.py migrate --noinput
)

(cd /medicine-config/medicine &&
  docker compose stop &&
  docker compose up -d
)

echo ""
echo "✅ МИС \"Медицина\" успешно обновлена"